install 20 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633
  1. #!/bin/bash -e
  2. #-e Causes bash script to exit if any of the installers
  3. #return with a non-zero return value.
  4. if [[ $EUID -ne 0 ]]; then
  5. echo "Please run as root user."
  6. exit 1
  7. fi
  8. SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )"
  9. AIRTIMEROOT=${SCRIPT_DIR}
  10. LIBZEND_DIR='/usr/share/php/libzend-framework-php/Zend'
  11. showhelp () {
  12. echo "Usage: sudo bash install [options]
  13. -h, --help, -?
  14. Display usage information
  15. -V, --version
  16. Display version information
  17. -v, --verbose
  18. More output
  19. -q, --quiet, --silent
  20. No output except errors
  21. -f, --force
  22. Turn off interactive prompts
  23. --distribution=DISTRIBUTION
  24. Linux distribution the installation is being run on
  25. --release=RELEASE
  26. Distribution release
  27. -d, --ignore-dependencies
  28. Don't install binary dependencies
  29. -w, --web-user=WEB_USER
  30. Set the nginx web user. Defaults to www-data. Only change
  31. this setting if you've changed the default nginx web user
  32. -r, --web-root=WEB_ROOT
  33. Set the web root for Airtime files
  34. This will copy the Airtime application files, but you will need
  35. to give your web user access to the given directory if it is
  36. not accessible
  37. -I, --in-place
  38. Set the current Airtime directory as the web root
  39. Note that you will need to give your web user permission to
  40. access this directory if it is not accessible
  41. -p, --postgres
  42. Create a default postgres user named 'airtime' with password
  43. 'airtime'
  44. -n, --nginx
  45. Install nginx and deploy a basic configuration for Airtime
  46. -i, --icecast
  47. Install Icecast 2 and deploy a basic configuration for Airtime"
  48. exit 0
  49. }
  50. showversion () {
  51. version=$(php -r 'require_once(__DIR__ . "/airtime_mvc/application/configs/constants.php"); echo AIRTIME_CODE_VERSION;')
  52. echo "Airtime Version ${version}"
  53. exit 0
  54. }
  55. web_user="www-data"
  56. web_root=""
  57. in_place="f"
  58. postgres="f"
  59. nginx="f"
  60. icecast="f"
  61. ignore_dependencies="f"
  62. # Interactive
  63. _i=1
  64. # Verbose
  65. _v=0
  66. # Quiet
  67. _q=0
  68. upgrade="f"
  69. dist=""
  70. code=""
  71. function verbose() {
  72. if [[ ${_v} -eq 1 ]]; then
  73. echo -e "$@"
  74. fi
  75. }
  76. function loud() {
  77. if [[ ${_q} -eq 0 ]]; then
  78. echo -e "$@"
  79. fi
  80. }
  81. # Evaluate commands silently if quiet
  82. function loudCmd() {
  83. if [[ ${_q} -eq 0 ]]; then
  84. eval $@
  85. else
  86. eval $@ > /dev/null
  87. fi
  88. }
  89. function checkCommandExists() {
  90. set +e
  91. command=$@
  92. eval hash ${command} 2>/dev/null
  93. commandFound=$?
  94. if [[ ! ${commandFound} -eq 0 ]]; then
  95. echo -e "Error: ${command} not found. Please ensure you have the corresponding dependency installed."
  96. exit
  97. fi
  98. set -e
  99. }
  100. while :; do
  101. case "$1" in
  102. --help)
  103. showhelp
  104. ;;
  105. --version)
  106. showversion
  107. ;;
  108. --verbose)
  109. _v=1
  110. ;;
  111. --quiet|--silent)
  112. _q=1
  113. ;;
  114. --force)
  115. _i=0
  116. ;;
  117. --distribution)
  118. if [ "$2" ]; then
  119. dist=$2
  120. shift 2
  121. continue
  122. else
  123. echo 'ERROR: Must specify a non-empty "--distribution DISTRIBUTION" argument.' >&2
  124. exit 1
  125. fi
  126. ;;
  127. --distribution=?*)
  128. dist=${1#*=} # Delete everything up to "=" and assign the remainder.
  129. ;;
  130. --distribution=)
  131. echo 'ERROR: Must specify a non-empty "--distribution DISTRIBUTION" argument.' >&2
  132. exit 1
  133. ;;
  134. --release)
  135. if [ "$2" ]; then
  136. code=$2
  137. shift 2
  138. continue
  139. else
  140. echo 'ERROR: Must specify a non-empty "--release RELEASE" argument.' >&2
  141. exit 1
  142. fi
  143. ;;
  144. --release=?*)
  145. code=${1#*=} # Delete everything up to "=" and assign the remainder.
  146. ;;
  147. --release=)
  148. echo 'ERROR: Must specify a non-empty "--release RELEASE" argument.' >&2
  149. exit 1
  150. ;;
  151. --ignore-dependencies)
  152. ignore_dependencies="t"
  153. ;;
  154. --nginx)
  155. nginx="t"
  156. ;;
  157. --icecast)
  158. icecast="t"
  159. ;;
  160. --postgres)
  161. postgres="t"
  162. ;;
  163. --in-place)
  164. in_place="t"
  165. ;;
  166. --web-user)
  167. if [ "$2" ]; then
  168. web_user=$2
  169. shift 2
  170. continue
  171. else
  172. echo 'ERROR: Must specify a non-empty "--web-user WEB_USER" argument.' >&2
  173. exit 1
  174. fi
  175. ;;
  176. --web-user=?*)
  177. web_user=${1#*=} # Delete everything up to "=" and assign the remainder.
  178. ;;
  179. --web-user=)
  180. echo 'ERROR: Must specify a non-empty "--web-user=WEB_USER" argument.' >&2
  181. exit 1
  182. ;;
  183. --web-root)
  184. if [ "$2" ]; then
  185. web_root=$(readlink -f $2)
  186. shift 2
  187. continue
  188. else
  189. echo 'ERROR: Must specify a non-empty "--web-root WEB_ROOT" argument.' >&2
  190. exit 1
  191. fi
  192. ;;
  193. --web-root=?*)
  194. web_root=${1#*=} # Delete everything up to "=" and assign the remainder.
  195. ;;
  196. --web-root=)
  197. echo 'ERROR: Must specify a non-empty "--web-root=WEB_ROOT" argument.' >&2
  198. exit 1
  199. ;;
  200. --)
  201. shift
  202. break
  203. ;;
  204. -?*)
  205. for ((i = 1; i < ${#1}; i++)); do
  206. case "${1:$i:1}" in
  207. h|\?)
  208. showhelp
  209. ;;
  210. V)
  211. showversion
  212. ;;
  213. v)
  214. _v=1
  215. ;;
  216. q)
  217. _q=1
  218. ;;
  219. f)
  220. _i=0
  221. ;;
  222. d)
  223. ignore_dependencies="t"
  224. ;;
  225. n)
  226. nginx="t"
  227. ;;
  228. i)
  229. icecast="t"
  230. ;;
  231. p)
  232. postgres="t"
  233. ;;
  234. I)
  235. in_place="t"
  236. ;;
  237. w)
  238. if [ "$2" ]; then
  239. web_user=$2
  240. continue
  241. else
  242. echo 'ERROR: Must specify a non-empty "-w WEB_USER" argument.' >&2
  243. exit 1
  244. fi
  245. ;;
  246. r)
  247. if [ "$2" ]; then
  248. web_root=$(readlink -f $2)
  249. continue
  250. else
  251. echo 'ERROR: Must specify a non-empty "-d WEB_ROOT" argument.' >&2
  252. exit 1
  253. fi
  254. ;;
  255. *)
  256. echo "$0: error - unrecognized option '${1:$i:1}'" >&2;
  257. echo "Try 'install --help' for more information."
  258. exit 1
  259. esac
  260. done
  261. ;;
  262. *)
  263. break
  264. esac
  265. shift
  266. done
  267. if [ -z web_root -a ! -d web_root ]; then
  268. echo "$web_root doesn't exist!"
  269. exit 1
  270. fi
  271. echo -e "\n _____ .________________________.___ _____ ___________ "
  272. echo " / _ \ | \______ \__ ___/| | / \ \_ _____/ "
  273. echo " / /_\ \| || _/ | | | |/ \ / \ | __)_ "
  274. echo "/ | \ || | \ | | | / Y \| \ "
  275. echo "\____|__ /___||____|_ / |____| |___\____|__ /_______ / "
  276. echo -e " \/ \/ \/ \/ \n"
  277. IP=$(ifconfig 2>/dev/null | grep -A 1 'encap:Ethernet' | awk '/inet addr:/ {print $2}' | sed 's/addr://' | head -1)
  278. if [ "$ignore_dependencies" = "f" ]; then
  279. set +e
  280. loudCmd "apt-get update"
  281. if [ -z "${dist}" ]; then
  282. loudCmd "apt-get -y --force-yes install lsb-release"
  283. dist=`lsb_release -ds | awk '{print tolower($1);}'`
  284. code=`lsb_release -cs`
  285. fi
  286. loud "\n-----------------------------------------------------"
  287. loud " * Installing External Dependencies * "
  288. loud "-----------------------------------------------------"
  289. verbose "\n * Reading requirements-${dist,,}-${code,,}.apt..."
  290. if [ -f ${SCRIPT_DIR}/installer/lib/requirements-${dist,,}-${code,,}.apt ]; then
  291. loudCmd "DEBIAN_FRONTEND=noninteractive apt-get -y -m install $(grep -vE '^\s*#' ${SCRIPT_DIR}/installer/lib/requirements-${dist,,}-${code,,}.apt | tr '\n' ' ')"
  292. else
  293. loudCmd "DEBIAN_FRONTEND=noninteractive apt-get -y -m install $(grep -vE '^\s*#' ${SCRIPT_DIR}/installer/lib/requirements-ubuntu-xenial.apt | tr '\n' ' ')"
  294. fi
  295. if [ -d "$LIBZEND_DIR" ]; then
  296. verbose "\n * Replacing deprecated functions in libzend-framework-php ..."
  297. find "$LIBZEND_DIR" -type f -exec sed -i "s/iconv_set_encoding('internal_encoding'/ini_set('default_charset'/g" {} +
  298. fi
  299. set -e
  300. else
  301. checkCommandExists "nginx"
  302. checkCommandExists "rabbitmqctl"
  303. checkCommandExists "psql"
  304. fi
  305. if [ -f /etc/airtime/airtime.conf ]; then
  306. OLD_CONF=$(grep "[media-monitor]" /etc/airtime/airtime.conf)
  307. if [ -n "${OLD_CONF}" ]; then
  308. upgrade="t"
  309. set +e
  310. verbose "Stopping airtime services..."
  311. loudCmd "service airtime-playout stop-with-monit"
  312. loudCmd "service airtime-media-monitor stop-with-monit"
  313. loudCmd "service airtime-liquidsoap stop-with-monit"
  314. verbose "...Done"
  315. echo "Looks like you have an old version of Airtime. Your current /etc/airtime/airtime.conf \
  316. will be moved to /etc/airtime/airtime.conf.tmp"
  317. # If we don't remove the existing python files in /usr/lib and the
  318. # /etc/init.d startup scripts, services won't work properly
  319. if [ -d /usr/lib/airtime/ ]; then
  320. rm -rf /usr/lib/airtime/
  321. fi
  322. rm /etc/init.d/airtime-*
  323. if [ "$nginx" = "t" ]; then
  324. # If the user selects an "in-place" install or passes in a web root,
  325. # we need to replace the old nginx airtime.conf
  326. rm /etc/nginx/sites-available/airtime.conf
  327. fi
  328. if [ -d /usr/share/airtime -a web_root = /usr/share/airtime ]; then
  329. rm -rf /usr/share/airtime
  330. fi
  331. mv /etc/airtime/airtime.conf /etc/airtime/airtime.conf.tmp
  332. set -e
  333. fi
  334. fi
  335. if [ "$nginx" = "f" -a ${_i} -eq 1 ]; then
  336. echo -e "Install default Airtime nginx configuration? (Y/n): \c"
  337. read IN
  338. if [ "$IN" = "y" -o "$IN" = "Y" ]; then
  339. nginx="t"
  340. fi
  341. fi
  342. if [ "$in_place" = "t" ]; then
  343. verbose "\n * Setting current Airtime directory as web root..."
  344. web_root=${AIRTIMEROOT}/airtime_mvc/public
  345. elif [ -n "$web_root" ]; then
  346. verbose "\n * Creating nginx web root directory..."
  347. cp -R ${AIRTIMEROOT}/airtime_mvc/* ${web_root}
  348. web_root=${web_root}/public/
  349. else
  350. verbose "\n * Creating default nginx web root directory /usr/share/airtime/..."
  351. web_root="/usr/share/airtime"
  352. mkdir -p ${web_root}
  353. cp -R ${AIRTIMEROOT}/airtime_mvc/* ${web_root}
  354. web_root=${web_root}/public/
  355. fi
  356. verbose "...Done"
  357. if [ "$nginx" = "t" ]; then
  358. loud "\n-----------------------------------------------------"
  359. loud " * Configuring nginx * "
  360. loud "-----------------------------------------------------"
  361. airtimeconfigfile='airtime.conf'
  362. # If we're upgrading (installing over an existing Airtime install) and we've been told to
  363. # install nginx, we should overwrite any existing configuration. If we don't do this, doing
  364. # an in-place installation over an old Airtime install (which installs to /usr/share by default)
  365. # will fail
  366. if [ "$upgrade" = "t" -o ! -f /etc/nginx/sites-available/${airtimeconfigfile} ]; then
  367. verbose "\n * Creating nginx config for Airtime..."
  368. if [ ${_i} -eq 1 ]; then
  369. echo -e "Please enter server name: \c"
  370. read server_name
  371. fi
  372. if [ -z "$server_name" ]; then
  373. server_name="$IP"
  374. fi
  375. sed -e "s@WEB_ROOT@${web_root}@g;s@SERVER_NAME@${server_name}@g" ${SCRIPT_DIR}/installer/nginx/airtime.conf > /etc/nginx/sites-available/${airtimeconfigfile}
  376. if [ ! -f "/etc/nginx/sites-enabled/${airtimeconfigfile}" ]; then
  377. ln -s /etc/nginx/sites-available/${airtimeconfigfile} /etc/nginx/sites-enabled/${airtimeconfigfile}
  378. fi
  379. else
  380. verbose "\nnginx config for Airtime already exists, skipping"
  381. fi
  382. else
  383. server_name="$IP"
  384. fi
  385. if [ "$icecast" = "f" -a ${_i} -eq 1 ]; then
  386. echo -e "Install default Airtime Icecast configuration? (Y/n): \c"
  387. read IN
  388. if [ "$IN" = "y" -o "$IN" = "Y" ]; then
  389. icecast="t"
  390. fi
  391. fi
  392. if [ "$icecast" = "t" ]; then
  393. loud "\n-----------------------------------------------------"
  394. loud " * Configuring Icecast * "
  395. loud "-----------------------------------------------------"
  396. verbose "\n * Enabling Icecast 2..."
  397. sed -i 's/ENABLE=false/ENABLE=true/g' /etc/default/icecast2
  398. set +e
  399. loudCmd "service icecast2 start"
  400. set -e
  401. verbose "...Done"
  402. fi
  403. loud "\n-----------------------------------------------------"
  404. loud " * Installing Airtime Services * "
  405. loud "-----------------------------------------------------"
  406. verbose "\n * Installing necessary python services..."
  407. loudCmd "pip install setuptools"
  408. verbose "...Done"
  409. verbose "\n * Creating /run/airtime..."
  410. mkdir -p /run/airtime
  411. chmod 755 /run/airtime
  412. chown -R ${web_user}:${web_user} /run/airtime
  413. verbose "...Done"
  414. verbose "\n * Installing log writer..."
  415. loudCmd "python ${AIRTIMEROOT}/python_apps/std_err_override/setup.py install --install-scripts=/usr/bin"
  416. verbose "...Done"
  417. verbose "\n * Installing API client..."
  418. loudCmd "python ${AIRTIMEROOT}/python_apps/api_clients/setup.py install --install-scripts=/usr/bin"
  419. verbose "...Done"
  420. verbose "\n * Installing media-monitor..."
  421. loudCmd "python ${AIRTIMEROOT}/python_apps/media-monitor/setup.py install --install-scripts=/usr/bin"
  422. verbose "...Done"
  423. verbose "\n * Installing pypo..."
  424. loudCmd "python ${AIRTIMEROOT}/python_apps/pypo/setup.py install --install-scripts=/usr/bin"
  425. verbose "...Done"
  426. for i in /etc/init/airtime*.template; do
  427. chmod 644 $i
  428. sed -i "s/WEB_USER/${web_user}/g" $i
  429. mv $i ${i%.template}
  430. done
  431. cp "${SCRIPT_DIR}/utils/airtime-import/airtime-import" /usr/bin/airtime-import
  432. chmod +x /usr/bin/airtime-import
  433. set +e
  434. loudCmd "systemctl daemon-reload"
  435. loudCmd "systemctl enable airtime-playout" # Start at bootup
  436. loudCmd "systemctl enable airtime-media-monitor" # Start at bootup
  437. loudCmd "systemctl enable airtime-liquidsoap" # Start at bootup
  438. set -e
  439. if [ ! -d /var/log/airtime ]; then
  440. loud "\n-----------------------------------------------------"
  441. loud " * Installing Log Files * "
  442. loud "-----------------------------------------------------"
  443. verbose "\n * Creating /var/tmp/airtime..."
  444. mkdir -p /var/tmp/airtime/show-recorder/
  445. verbose "\n * Copying logrotate files..."
  446. cp ${AIRTIMEROOT}/airtime_mvc/build/airtime-php.logrotate /etc/logrotate.d/airtime-php
  447. cp ${AIRTIMEROOT}/python_apps/pypo/pypo/liquidsoap_scripts/airtime-liquidsoap.logrotate /etc/logrotate.d/airtime-liquidsoap
  448. fi
  449. verbose "\n * Setting permissions on /var/log/airtime..."
  450. chmod -R a+x /var/log/airtime
  451. chown -R ${web_user}:${web_user} /var/log/airtime/
  452. verbose "\n * Setting permissions on /var/tmp/airtime..."
  453. chmod -R a+x /var/tmp/airtime
  454. chown -R ${web_user}:${web_user} /var/tmp/airtime/
  455. loud "\n-----------------------------------------------------"
  456. loud " * Configuring PostgreSQL * "
  457. loud "-----------------------------------------------------"
  458. # Ensure postgres is running - It isn't after you install the postgres package on Ubuntu 15.04
  459. loudCmd "service postgresql start"
  460. setupAirtimePostgresUser() {
  461. POSTGRES_USER="$1"
  462. if [ -z "$POSTGRES_USER" ]; then
  463. POSTGRES_USER=airtime
  464. fi
  465. POSTGRES_PASSWORD="$2"
  466. if [ -z "$POSTGRES_PASSWORD" ]; then
  467. POSTGRES_PASSWORD=airtime
  468. fi
  469. # here-doc to execute this block as postgres user
  470. su postgres <<EOF
  471. set +e
  472. psql -d postgres -tAc "CREATE USER $POSTGRES_USER WITH ENCRYPTED PASSWORD '$POSTGRES_PASSWORD'; ALTER USER $POSTGRES_USER CREATEDB;"
  473. set -e
  474. # don't indent this!
  475. EOF
  476. }
  477. if [ "$postgres" = "t" ]; then
  478. echo -e "Enter username for postgres Airtime database: \c"
  479. read POSTGRES_USER
  480. echo -e "Enter password for postgres Airtime database: \c"
  481. read -s POSTGRES_PASSWORD
  482. setupAirtimePostgresUser "$POSTGRES_USER" "$POSTGRES_PASSWORD"
  483. unset POSTGRES_USER POSTGRES_PASSWORD
  484. elif [ ${_i} -eq 1 ]; then
  485. echo -e "Create default airtime postgres user? (Y/n): \c"
  486. read IN
  487. if [ "$IN" = "y" -o "$IN" = "Y" ]; then
  488. setupAirtimePostgresUser
  489. fi
  490. fi
  491. loud "\n-----------------------------------------------------"
  492. loud " * Configuring RabbitMQ * "
  493. loud "-----------------------------------------------------"
  494. RABBITMQ_VHOST=/airtime
  495. EXCHANGES="airtime-pypo|pypo-fetch|airtime-media-monitor|media-monitor"
  496. # Ignore errors in this check to avoid dying when vhost isn't found
  497. set +e
  498. rabbitmqctl list_vhosts | grep -w ${RABBITMQ_VHOST} > /dev/null
  499. RESULT="$?"
  500. set -e
  501. # Only run these if the vhost doesn't exist
  502. if [ "$RESULT" != "0" ]; then
  503. echo -e "Enter RabbitMQ Airtime virtual host username: \c"
  504. read RABBITMQ_USER
  505. if [ -z "$RABBITMQ_USER" ]; then
  506. RABBITMQ_USER=airtime
  507. fi
  508. echo -e "Enter RabbitMQ Airtime virtual host password: \c"
  509. read -s RABBITMQ_PASSWORD
  510. if [ -z "$RABBITMQ_PASSWORD" ]; then
  511. RABBITMQ_PASSWORD=airtime
  512. fi
  513. verbose "\n * Creating RabbitMQ virtual host and user ..."
  514. rabbitmqctl add_vhost ${RABBITMQ_VHOST}
  515. rabbitmqctl add_user ${RABBITMQ_USER} ${RABBITMQ_PASSWORD}
  516. verbose "\n * Setting RabbitMQ user permissions..."
  517. loudCmd "rabbitmqctl set_permissions -p ${RABBITMQ_VHOST} ${RABBITMQ_USER} \"$EXCHANGES\" \"$EXCHANGES\" \"$EXCHANGES\""
  518. unset RABBITMQ_VHOST RABBITMQ_USER RABBITMQ_PASSWORD EXCHANGES
  519. else
  520. verbose "\nRabbitMQ user already exists, skipping creation"
  521. fi
  522. if [ ! -d "/etc/airtime" ]; then
  523. loud "\n-----------------------------------------------------"
  524. loud " * Installing Airtime * "
  525. loud "-----------------------------------------------------"
  526. verbose "\n * Creating /etc/airtime/ directory..."
  527. mkdir -p /etc/airtime
  528. fi
  529. chown -R ${web_user}:${web_user} /etc/airtime
  530. if [ ! -d "/srv/airtime" ]; then
  531. mkdir -p /srv/airtime
  532. fi
  533. chown -R ${web_user}:${web_user} /srv/airtime
  534. # We only generate the locales for Airtime if you're allowing us
  535. # to install our dependencies, so that we won't automatically do this
  536. # when this install script runs from our DEB package.
  537. if [ "$ignore_dependencies" = "f" ]; then
  538. loud "\n-----------------------------------------------------"
  539. loud " * Installing Locales * "
  540. loud "-----------------------------------------------------"
  541. set +e
  542. verbose "\n * Generating locales"
  543. for i in `ls ${web_root}/../locale | grep ".._.."`; do
  544. if [ "$dist" = "debian" ]; then
  545. grep -qi "^$i" /etc/locale.gen
  546. if [ $? -ne 0 ]; then
  547. verbose "$i.UTF-8 UTF-8" >> /etc/locale.gen
  548. fi
  549. else
  550. loudCmd "locale-gen \"$i.utf8\""
  551. fi
  552. done
  553. set -e
  554. if [ "$dist" = "debian" ]; then
  555. loudCmd "/usr/sbin/locale-gen"
  556. fi
  557. fi
  558. verbose "\n * Reloading nginx..."
  559. loudCmd "service nginx reload 2>/dev/null"
  560. echo -e "\n-----------------------------------------------------"
  561. echo " * Basic Setup DONE! * "
  562. echo " "
  563. echo " To get started with Airtime, visit ${server_name} "
  564. echo " or, if you've set up your own web configuration, "
  565. echo " the Airtime webroot on your webserver "
  566. echo "-----------------------------------------------------"